Package org.tmatesoft.svn.core.wc

# Class SVNRevisionRange

java.lang.Object
org.tmatesoft.svn.core.wc.SVNRevisionRange

public class SVNRevisionRange extends Object
The SVNRevisionRange class represents a revision range between a start revision and an end revision. Revision range objects are passed to the pegged versions of the `SVNDiffClient`'s `doMerge()` method to specify ranges of the source which must be merged into the target. Read more, for example, in the description for `SVNDiffClient.doMerge(java.io.File, SVNRevision, java.util.Collection, java.io.File, org.tmatesoft.svn.core.SVNDepth, boolean, boolean, boolean, boolean)`.

Since:
  1.2
Version:
  1.3
Author:
  TMate Software Ltd.

## Constructor Summary

Constructors
Constructor
Description
`SVNRevisionRange(SVNRevision startRevision, SVNRevision endRevision)`
Constructs a new revision range object given start and end revisions.

## Method Summary

Modifier and Type
Method
Description
`SVNRevision`
`getEndRevision()`
Returns the end revision of this range.
`SVNRevision`
`getStartRevision()`
Returns the start revision of this range.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SVNRevisionRange

public SVNRevisionRange(SVNRevision startRevision, SVNRevision endRevision)
Constructs a new revision range object given start and end revisions.

Parameters:
  `startRevision` - start of the range
  `endRevision` - end of the range

## Method Details

### getStartRevision

public SVNRevision getStartRevision()
Returns the start revision of this range.

Returns:
  start revision

### getEndRevision

public SVNRevision getEndRevision()
Returns the end revision of this range.

Returns:
  end revision